Name:           python-sphinx-lint
Version:        1.0.0
Release:        %autorelease
Summary:        Check for stylistic and formal issues in .rst and .py files included in the documentation.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        PSF-2.0
URL:            https://pypi.org/project/sphinx-lint/
Source:         %{pypi_source sphinx_lint}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sphinx-lint' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sphinx-lint
Summary:        %{summary}

%description -n python3-sphinx-lint %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-sphinx-lint tests


%prep
%autosetup -p1 -n sphinx_lint-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x tests


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-sphinx-lint -f %{pyproject_files}


%changelog
%autochangelog